<?php
/**
 * Plugin Solutions & Features Page
 *
 * @package Popup Anything on Click
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

// Taking some variables
$popup_add_link = add_query_arg( array( 'post_type' => POPUPAOC_POST_TYPE ), admin_url( 'post-new.php' ) );
?>

<div id="wrap">
	<div class="popupaoc-sf-wrap">
		<div class="popupaoc-sf-inr">
			<!-- Start - Popup Anything - Features -->
			<div class="popupaoc-features-section popupaoc-team popupaoc-center">
				<h1 class="popupaoc-heading">Now get best value from <span class="popupaoc-blue">Annual</span> OR <span class="popupaoc-blue">Lifetime</span> deal</h1>
				<h2>And Build <span class="bg-highlight">better websites</span>, <span class="bg-highlight">landing pages</span> & <span class="bg-highlight">conversion flow</span></h2>
				<h2>With <span class="popupaoc-blue">35+ plugins</span>, <span class="popupaoc-blue">2000+ templates</span> & $600 saving in <span class="popupaoc-blue">Essential Plugin Bundle</span></h2>
				<a href="<?php echo POPUPAOC_PLUGIN_BUNDLE_LINK; ?>"  target="_blank" class="popupaoc-sf-btn popupaoc-sf-btn-orange"><span class="dashicons dashicons-cart"></span> Grab Now This Deal</a>
			</div>			
			
			<div class="popupaoc-features-section popupaoc-team popupaoc-center">
				<h1 class="popupaoc-heading">Powerful Team Behind <span class="popupaoc-blue">PopupAnything</span></h1>
					<div class="popupaoc-sf-cont">Alone we can do so little; together we can do so much. Our love language is helping small businesses grow and compete with the big guys.  Every time you see growth in your business, our little hearts go flip-flop!</div>
					<p></p>
					<div class="popupaoc-sf-cont">This is why I wanted to introduce you to <span class="popupaoc-blue">Anoop Ranawat & Team</span> at EssentialPlugin.com</div>
					<img class="popupaoc-image" src="<?php echo POPUPAOC_URL; ?>/assets/images/wpos-team.png" alt="wpos team" />
			</div>
			<h1 class="popupaoc-heading">Boost Your Sales and Conversions with <span class="popupaoc-blue">PopupAnything</span></h1>
			<!-- Start - Welcome Box -->
			<div class="popupaoc-sf-welcome-wrap">
				<div class="popupaoc-sf-welcome-inr popupaoc-center">					
						<h5 class="popupaoc-sf-content">Instantly <span class="popupaoc-blue">grow your email list, get more leads and increase sales</span> with the #1 most powerful conversion optimization toolkit in the world.</h5>
						<h5 class="popupaoc-sf-content"><span class="popupaoc-blue">50,000+ </span>websites are using <span class="popupaoc-blue">PopupAnything</span> to turn their traffic into subscribers, leads and sales.</h5>
						<a href="<?php echo esc_url( $popup_add_link ); ?>" class="popupaoc-sf-btn">Launch Popup With Free Features</a> <br /><b>OR</b> <br /><a href="<?php echo POPUPAOC_PLUGIN_BUNDLE_LINK; ?>"  target="_blank" class="popupaoc-sf-btn popupaoc-sf-btn-orange"><span class="dashicons dashicons-cart"></span> Grab Now With Essential Bundle</a>
						<div class="popupaoc-rc-wrap">
							<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
								<div class="popupaoc-rc-icon">
									<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/14-days-money-back-guarantee.png" alt="14-days-money-back-guarantee" title="14-days-money-back-guarantee" />
								</div>
								<div class="popupaoc-rc-cont">
									<h3>14 Days Refund Policy</h3>
									<p>14-day No Question Asked Refund Guarantee</p>
								</div>
							</div>
							<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
								<div class="popupaoc-rc-icon">
									<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/popup-design.png" alt="popup-design" title="popup-design" />
								</div>
								<div class="popupaoc-rc-cont">
									<h3>Include Done-For-You Popup Setup</h3>
									<p>Our conversion experts will design 2 free popup / month for you to get maximum results.</p>
								</div>
							</div>
						</div>
					<div class="popupaoc-sf-welcome-left">
						
					</div>
					<div class="popupaoc-sf-welcome-right">
						
					</div>
				</div>
			</div>
			<!-- End - Welcome Box -->
			
			<!-- Start - Popup Anything - Features -->
			<div class="popupaoc-features-section">
				<div class="popupaoc-center">
					<h1 class="popupaoc-heading">Powerful Pro Features, Simplified</h1>
					<div class="popupaoc-sf-cont">Convert Your Visitors into Subscribers & Customers.</div>
				</div>
				<div class="popupaoc-sf-welcome-wrap popupaoc-center">
					<div class="popupaoc-features-box-wrap">
						<ul class="popupaoc-features-box-grid">
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/popup.png" /></div>
							Modal Popup							
							</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/bar-popup.png" /></div>
							Bar Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/push-popup.png" /></div>
							Push Notification Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/exit-popup.png" /></div>
							Exit Intent Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/popup.png" /></div>
							Annoucement Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/bar-popup.png" /></div>
							Collect Lead Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/link-popup.png" /></div>
							Target URL Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/bar-popup.png" /></div>
							Phone Calls Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/location-popup.png" /></div>
							Geo-Location Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/bar-popup.png" /></div>
							Referrer Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/utm-popup.png" /></div>
							UTM Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/bar-popup.png" /></div>
							Cookie Based Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/ads-popup.png" /></div>
							Adblocker Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/time-popup.png" /></div>
							Schedule Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/bar-popup.png" /></div>
							Inline Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/full-screen-popup.png" /></div>
							Fullscreen Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/slide-in-popup.png" /></div>
							Slide In Popup</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/a-b-testing-popup.png" /></div>
							A/B Testing</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/mail-chimp-popup.png" /></div>
							Mailchimp Integration</li>
							<li>
							<div class="popupaoc-popup-icon"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/popup-icon/popup.png" /></div>
							Popup Live Preview</li>
						</ul>
					</div>
					<a href="<?php echo POPUPAOC_PLUGIN_BUNDLE_LINK; ?>" target="_blank" class="popupaoc-sf-btn popupaoc-sf-btn-orange"><span class="dashicons dashicons-cart"></span> Grab Now With Essential Bundle</a>
					<div class="popupaoc-rc-wrap">
						<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
							<div class="popupaoc-rc-icon">
								<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/14-days-money-back-guarantee.png" alt="14-days-money-back-guarantee" title="14-days-money-back-guarantee" />
							</div>
							<div class="popupaoc-rc-cont">
								<h3>14 Days Refund Policy</h3>
								<p>14-day No Question Asked Refund Guarantee</p>
							</div>
						</div>
						<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
							<div class="popupaoc-rc-icon">
								<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/popup-design.png" alt="popup-design" title="popup-design" />
							</div>
							<div class="popupaoc-rc-cont">
									<h3>Include Done-For-You Popup Setup</h3>
									<p>Our conversion experts will design 2 free popup / month for you to get maximum results.</p>
								</div>
						</div>
					</div>
				</div>
			</div>
			<!-- End - Popup Anything - Features -->
			
			<!-- Start - Industry Wise Solutions -->
			<div class="popupaoc-solutions-section popupaoc-top-rsn popupaoc-left">
				<h1 class="popupaoc-heading">Top 4 Reasons Why People Love <span class="popupaoc-blue">PopupAnything</span></h1>
				<div class="popupaoc-sf-cont popupaoc-center">Here's why business owners <span class="popupaoc-blue">love PopupAnything</span>, and you will too!</div>
				<div class="popupaoc-solutions-section-inr">
					<div class="popupaoc-solutions-box-wrap">
						<div class="popupaoc-solutions-box-grid">
							
							<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/model-popup.png" alt="model-popup" />
						</div>
						<div class="popupaoc-solutions-box-grid">
							<div class="popupaoc-feature__text">
								<h3>Display Popup On Right Time</h3>
								<p>Show a popup of any action on your website, including <span class="popupaoc-blue">Welcome, Exit Intent, Bar, Referrer , UTM, Schedule Slide In, Fullscreen</span>, and more. Convert any link, button or image into a popup. </p>
							</div>
						
						</div>
						
						
					</div>
					<div class="popupaoc-solutions-box-wrap">
						<div class="popupaoc-solutions-box-grid">
							<div class="popupaoc-feature__text">
								<h3>Save Your Cart Abandonment Rate</h3>
								<p>Show your <span class="popupaoc-blue">popup alert or message</span> when any user try to leave your website on <span class="popupaoc-blue">checkout page</span>. Attract them with some offer. Detects user's mouse behavior and show them a targeted message as they are leaving.</p>
							</div>
						</div>
						<div class="popupaoc-solutions-box-grid">
							<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/checkout.png" alt="Checkout" />
						
						</div>
						
						
					</div>
					<div class="popupaoc-solutions-box-wrap">
						<div class="popupaoc-solutions-box-grid">
							<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/mail-popup.png" alt="mail-popup" />
							
						</div>
						<div class="popupaoc-solutions-box-grid">
							<div class="popupaoc-feature__text">
								<h3>Increase Your E-Mail Marketing</h3>
								<p>Show <span class="popupaoc-blue">subscription form on popup, when user reading your blog, on welcome screen</span>. Like this you can collect the mail ids of users and target them with any email marketing tool. </p>
							</div>
						
						</div>
						
						
					</div>
					<div class="popupaoc-solutions-box-wrap">
						<div class="popupaoc-solutions-box-grid">
							<div class="popupaoc-feature__text">
								<h3>Popup Based on Geo-Location Vise</h3>
								<p>Show <span class="popupaoc-blue">diffrent popup for diffrent location</span>. Improve conversions by personalizing campaigns based on visitor's location.</p>
							</div>
						</div>
						<div class="popupaoc-solutions-box-grid">
							<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/geo-location.png" alt="popup-design" />
						
						</div>
						
						
					</div>
				</div>
				<div class="popupaoc-center">
					<a href="<?php echo POPUPAOC_PLUGIN_BUNDLE_LINK ?>"  target="_blank" class="popupaoc-sf-btn popupaoc-sf-btn-orange"><span class="dashicons dashicons-cart"></span> Grab Now With Essential Bundle</a>
				</div>	
					<div class="popupaoc-rc-wrap">
						<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
							<div class="popupaoc-rc-icon">
								<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/14-days-money-back-guarantee.png" alt="14-days-money-back-guarantee" title="14-days-money-back-guarantee" />
							</div>
							<div class="popupaoc-rc-cont">
								<h3>14 Days Refund Policy</h3>
								<p>14-day No Question Asked Refund Guarantee</p>
							</div>
						</div>
						<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
							<div class="popupaoc-rc-icon">
								<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/popup-design.png" alt="popup-design" title="popup-design" />
							</div>
							<div class="popupaoc-rc-cont">
									<h3>Include Done-For-You Popup Setup</h3>
									<p>Our conversion experts will design 2 free popup / month for you to get maximum results.</p>
								</div>
						</div>
					</div>
			</div>
			<!-- End - Industry Wise Solutions -->

			<!-- Start - Pagebuilder Section -->
			
			<div class="popupaoc-sf-testimonial-wrap">
				<div class="paoc-center popupaoc-features-ttl">
					<h1 class="popupaoc-heading">Seamless Integration With All Major <span class="popupaoc-blue">Page Builders</span></h1>	
					<div class="popupaoc-sf-cont popupaoc-center">Compatible with Gutenberg, DIVI, Elementor, Avada, VC/WPbakery etc page builder/themes</div>
					<div class="popupaoc-sf-welcome-wrap popupaoc-center">
						<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/page-builder-icon.png" alt="page-builder-icon" title="page-builder-icon" />	
					</div>	
				</div>
	
			</div>
			<!-- End - pagebuilder Section -->

			<!-- Start - Testimonial Section -->
			<div class="popupaoc-sf-testimonial-wrap">
				<div class="paoc-center popupaoc-features-ttl">
					<h1 class="popupaoc-heading">Looking for a Reason to Use <span class="popupaoc-blue">PopupAnything</span>?</h1>	
					<div class="popupaoc-sf-cont popupaoc-center"> Here are 40+...</div>	
										
				</div>
				<div class="popupaoc-testimonial-section-inr">
					<div class="popupaoc-testimonial-box-wrap">
						<div class="popupaoc-testimonial-box-grid">
								<h3 class="popupaoc-testimonial-title">Super Helpful, Great Plugin</h3>
								<div class="popupaoc-testimonial-desc">Anytime I run into an issue or run into something I don’t understand the support team is there to assist. Love the plugins they offer for the price they sell it at. All around, great plugin, great support – definitely recommend.</div>
								<div class="popupaoc-testimonial-clnt">@cmnerds</div>
								<div class="popupaoc-testimonial-rating"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/rating.png" /></div>
						</div>
						<div class="popupaoc-testimonial-box-grid">
								<h3 class="popupaoc-testimonial-title">Nice plugin and good customer service</h3>
								<div class="popupaoc-testimonial-desc">Plugin is working well and the customer support was good!.</div>
								<div class="popupaoc-testimonial-clnt">@juuzo</div>
								<div class="popupaoc-testimonial-rating"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/rating.png" /></div>
						</div>
						<div class="popupaoc-testimonial-box-grid">
								<h3 class="popupaoc-testimonial-title">Great plugin and support</h3>
								<div class="popupaoc-testimonial-desc">This plugin enabled me to easily achieve what i needed. I also had responsive support when i needed assistance for an issue i was having that was resolved quickly by the plugin developer.</div>
								<div class="popupaoc-testimonial-clnt">@vivdesign</div>
								<div class="popupaoc-testimonial-rating"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/rating.png" /></div>
						</div>
						
						<div class="popupaoc-testimonial-box-grid">
								<h3 class="popupaoc-testimonial-title">Better than the other pop up plugins</h3>
								<div class="popupaoc-testimonial-desc">the other pop up plugins are complicated and buggy. that is easy and convenient.</div>
								<div class="popupaoc-testimonial-clnt">@carinajae</div>
								<div class="popupaoc-testimonial-rating"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/rating.png" /></div>
						</div>
						<div class="popupaoc-testimonial-box-grid">
								<h3 class="popupaoc-testimonial-title">Awesome support – quick fix on found bug</h3>
								<div class="popupaoc-testimonial-desc">I found a bug in an update. Reported it and they fixed it on my app during chat. Awesome support!</div>
								<div class="popupaoc-testimonial-clnt">@jaltman</div>
								<div class="popupaoc-testimonial-rating"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/rating.png" /></div>
						</div>
						<div class="popupaoc-testimonial-box-grid">
								<h3 class="popupaoc-testimonial-title">Great popup with great support</h3>
								<div class="popupaoc-testimonial-desc">This is a great looking popup with plenty of useful options. Had a few issues with a recent update which were fixed pretty quickly.</div>
								<div class="popupaoc-testimonial-clnt">@joncon62</div>
								<div class="popupaoc-testimonial-rating"><img src="<?php echo POPUPAOC_URL; ?>/assets/images/rating.png" /></div>
						</div>
					</div>
					<a href="https://wordpress.org/support/plugin/popup-anything-on-click/reviews/?filter=5" target="_blank" class="popupaoc-sf-btn"><span class="dashicons dashicons-star-filled"></span> View All Reviews</a> OR <a href="<?php echo POPUPAOC_PLUGIN_BUNDLE_LINK; ?>"  target="_blank" class="popupaoc-sf-btn popupaoc-sf-btn-orange"><span class="dashicons dashicons-cart"></span> Grab Now With Essential Bundle</a>
					<div class="popupaoc-rc-wrap">
						<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
							<div class="popupaoc-rc-icon">
								<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/14-days-money-back-guarantee.png" alt="14-days-money-back-guarantee" title="14-days-money-back-guarantee" />
							</div>
							<div class="popupaoc-rc-cont">
								<h3>14 Days Refund Policy</h3>
								<p>14-day No Question Asked Refund Guarantee</p>
							</div>
						</div>
						<div class="popupaoc-rc-inr popupaoc-rc-bg-box">
							<div class="popupaoc-rc-icon">
								<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/popup-icon/popup-design.png" alt="popup-design" title="popup-design" />
							</div>
							<div class="popupaoc-rc-cont">
									<h3>Include Done-For-You Popup Setup</h3>
									<p>Our conversion experts will design 2 free popup / month for you to get maximum results.</p>
								</div>
						</div>
					</div>
				</div>
			</div>
			<!-- End - Testimonial Section -->
		</div>
	</div><!-- end .popupaoc-sf-wrap -->
</div><!-- end .wrap -->